package xyz.lychee.lagfixer.libs.adventure.text;

import xyz.lychee.lagfixer.libs.annotations.Contract;
import xyz.lychee.lagfixer.libs.annotations.NotNull;
import xyz.lychee.lagfixer.libs.annotations.Nullable;

public interface NBTComponentBuilder<C extends NBTComponent<C, B>, B extends NBTComponentBuilder<C, B>> extends ComponentBuilder<C, B> {
   @Contract("_ -> this")
   @NotNull B nbtPath(final @NotNull String nbtPath);

   @Contract("_ -> this")
   @NotNull B interpret(final boolean interpret);

   @Contract("_ -> this")
   @NotNull B separator(final @Nullable ComponentLike separator);
}
